From 987b53a7e8feaec627acea1015b22eed6b3c9b1e Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:39:56 +0200
Subject: [PATCH 02/14] Convert slurm_conf.slurmd_user_id ->
 slurm_get_slurmd_user_id()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/api/signal.c                    | 4 ++--
 src/common/slurm_protocol_api.c     | 2 +-
 src/plugins/mpi/pmix/pmixp_dconn.c  | 2 +-
 src/plugins/mpi/pmix/pmixp_server.c | 2 +-
 src/plugins/mpi/pmix/pmixp_utils.c  | 2 +-
 src/slurmd/slurmstepd/mgr.c         | 2 +-
 6 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/api/signal.c b/src/api/signal.c
index bd536e97f4..8659be7d49 100644
--- a/src/api/signal.c
+++ b/src/api/signal.c
@@ -102,7 +102,7 @@ static int _signal_batch_script_step(const resource_allocation_response_msg_t
 	rpc.flags = KILL_JOB_BATCH;
 
 	slurm_msg_t_init(&msg);
-	slurm_msg_set_r_uid(&msg, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&msg, slurm_get_slurmd_user_id());
 	msg.msg_type = REQUEST_SIGNAL_TASKS;
 	msg.data = &rpc;
 	if (slurm_conf_get_addr(name, &msg.address, msg.flags)
@@ -161,7 +161,7 @@ static int _terminate_batch_script_step(const resource_allocation_response_msg_t
 
 	slurm_msg_t_init(&msg);
 	msg.msg_type = REQUEST_TERMINATE_TASKS;
-	slurm_msg_set_r_uid(&msg, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&msg, slurm_get_slurmd_user_id());
 	msg.data = &rpc;
 
 	if (slurm_conf_get_addr(name, &msg.address, msg.flags)
diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index c0aa1fd2ec..44a70a1d25 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -4552,7 +4552,7 @@ static void _resp_msg_setup(slurm_msg_t *msg, slurm_msg_t *resp_msg,
 	if (!msg->auth_uid_set)
 		slurm_msg_set_r_uid(resp_msg, SLURM_AUTH_NOBODY);
 	else if ((msg->auth_uid != slurm_conf.slurm_user_id) &&
-		 (msg->auth_uid != slurm_conf.slurmd_user_id))
+		 (msg->auth_uid != slurm_get_slurmd_user_id()))
 		slurm_msg_set_r_uid(resp_msg, msg->auth_uid);
 	else
 		slurm_msg_set_r_uid(resp_msg, SLURM_AUTH_UID_ANY);
diff --git a/src/plugins/mpi/pmix/pmixp_dconn.c b/src/plugins/mpi/pmix/pmixp_dconn.c
index 594230bfc1..6a1fb42732 100644
--- a/src/plugins/mpi/pmix/pmixp_dconn.c
+++ b/src/plugins/mpi/pmix/pmixp_dconn.c
@@ -79,7 +79,7 @@ int pmixp_dconn_init(int node_cnt, pmixp_p2p_data_t direct_hdr)
 		_pmixp_dconn_conns[i].nodeid = i;
 		_pmixp_dconn_conns[i].state = PMIXP_DIRECT_INIT;
 		_pmixp_dconn_conns[i].priv = _pmixp_dconn_h.init(i, direct_hdr);
-		_pmixp_dconn_conns[i].uid = slurm_conf.slurmd_user_id;
+		_pmixp_dconn_conns[i].uid = slurm_get_slurmd_user_id();
 	}
 	return SLURM_SUCCESS;
 }
diff --git a/src/plugins/mpi/pmix/pmixp_server.c b/src/plugins/mpi/pmix/pmixp_server.c
index 4ced93c14b..a3861cb83a 100644
--- a/src/plugins/mpi/pmix/pmixp_server.c
+++ b/src/plugins/mpi/pmix/pmixp_server.c
@@ -546,7 +546,7 @@ static int _auth_cred_verify(Buf buf, uid_t *uid)
 	} else {
 		uid_t auth_uid;
 		auth_uid = g_slurm_auth_get_uid(auth_cred);
-		if ((auth_uid != slurm_conf.slurmd_user_id) &&
+		if ((auth_uid != slurm_get_slurmd_user_id()) &&
 		    (auth_uid != _pmixp_job_info.uid)) {
 			PMIXP_ERROR("Credential from uid %u", auth_uid);
 			rc = SLURM_ERROR;
diff --git a/src/plugins/mpi/pmix/pmixp_utils.c b/src/plugins/mpi/pmix/pmixp_utils.c
index 5d22cacf83..4218629524 100644
--- a/src/plugins/mpi/pmix/pmixp_utils.c
+++ b/src/plugins/mpi/pmix/pmixp_utils.c
@@ -418,7 +418,7 @@ static int _pmix_p2p_send_core(const char *nodename, const char *address,
 	msg.forward.timeout = timeout;
 	msg.forward.cnt = 0;
 	msg.forward.nodelist = NULL;
-	slurm_msg_set_r_uid(&msg, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&msg, slurm_get_slurmd_user_id());
 	ret_list = slurm_send_addr_recv_msgs(&msg, (char*)nodename, timeout);
 	if (!ret_list) {
 		/* This should never happen (when this was
diff --git a/src/slurmd/slurmstepd/mgr.c b/src/slurmd/slurmstepd/mgr.c
index 1bb68c491f..887f0dbf6b 100644
--- a/src/slurmd/slurmstepd/mgr.c
+++ b/src/slurmd/slurmstepd/mgr.c
@@ -765,7 +765,7 @@ _one_step_complete_msg(stepd_step_rec_t *job, int first, int last)
 	}
 	/*********************************************/
 	slurm_msg_t_init(&req);
-	slurm_msg_set_r_uid(&req, slurm_conf.slurmd_user_id);
+	slurm_msg_set_r_uid(&req, slurm_get_slurmd_user_id());
 	req.msg_type = REQUEST_STEP_COMPLETE;
 	req.data = &msg;
 	req.address = step_complete.parent_addr;
-- 
2.35.3


